Bug 220114 - Unclear how to rename shortcut list items
Summary: Unclear how to rename shortcut list items
Status: CONFIRMED
Alias: None
Product: systemsettings
Classification: Applications
Component: kcm_khotkeys (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: Michael Jansen
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-12-26 01:57 UTC by JR
Modified: 2020-11-11 14:23 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Screenshot (46.39 KB, image/png)
2020-11-11 04:01 UTC, Justin Zobel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description JR 2009-12-26 01:57:25 UTC
Version:            (using Devel)
OS:                Linux
Installed from:    Compiled sources

Present in KDE 4.4b2, Kubuntu packages.

The KCM module for Input Actions lack any graphical way of renaming new entries. By default they're named 'New Action', and right-clicking one offers a choice of New (action/group), Delete, Export and Import - but no Rename.

By sheer luck I knew of the F2 shortcut that renames files in Dolphin, which seems to do the trick here too, but it's far from obvious. A graphical option doesn't seem to currently exist.
Comment 1 Jakob Lehmann 2011-05-27 00:32:11 UTC
Confirmed in 4.6.2, it can be given a name on creation, but it can not be renamed.
Comment 2 Justin Zobel 2020-11-11 04:01:04 UTC
Created attachment 133214 [details]
Screenshot
Comment 3 Justin Zobel 2020-11-11 04:02:12 UTC
JR/Jackob I'm not sure I'm able to determine if the attached screenshot is the thing you were discussing here many years ago.

Can you please confirm if this is it?

Can you please test and confirm if this issue is still occurring or if this bug report can be marked as resolved. I'm setting status to "needsinfo" pending your response, please change back to "reported" when you respond, thanks.
Comment 4 Nate Graham 2020-11-11 14:03:28 UTC
You can also double-click on the list item's text to rename it.

This is still relevant, even though KHotkeys mostly is no longer is.
Comment 5 JR 2020-11-11 14:23:18 UTC
It seems to be the same thing, yes.

As mentioned, double-clicking now works (Arch/Manjaro x86_64 systemsettings5 5.20.5), but there is still no context menu "Rename" option. The Edit button only offers the same menu (so "edit" doesn't lead to "rename").

It's better than only having F2, but it's still arguably unintuitive.